#!/bin/bash


INFO='\033[0;32m'
NC='\033[0m'
ERROR='\033[0;31m'


SCRIPT_DIR="$( cd -- "$( dirname -- "${BASH_SOURCE[0]:-$0}"; )" &> /dev/null && realpath .. 2> /dev/null; )";
TIMESTAMP=`date +%Y%m%d-%s`
mkdir -p $SCRIPT_DIR/BUILDDB.$TIMESTAMP

echo -e "${INFO}\n[RUNDIR]\t >>>>  $SCRIPT_DIR/BUILDDB.$TIMESTAMP  <<<< ${NC}\n\n"
( nohup nextflow run $SCRIPT_DIR/build-db.nf -work-dir $SCRIPT_DIR/BUILDDB-work -ansi-log false -resume -c $SCRIPT_DIR/conf/params/builddb.config --protein_similarity_search_method ublast_blastx  "$@" > $SCRIPT_DIR/BUILDDB.$TIMESTAMP/run.stdout ) 2> $SCRIPT_DIR/BUILDDB.$TIMESTAMP/run.stderr &

exit 0
