#!/bin/bash


INFO='\033[0;32m'
NC='\033[0m'
ERROR='\033[0;31m'


SCRIPT_DIR="$( cd -- "$( dirname -- "${BASH_SOURCE[0]:-$0}"; )" &> /dev/null && realpath .. 2> /dev/null; )";
VERSION=`cat $SCRIPT_DIR/VERSION`

ROOT_CONTAINER=https://lipm-browsers.toulouse.inra.fr/pub/singularity-repository/egnep/$VERSION/
EGNPCORE_CONTAINER=egnpcore-$VERSION.sif


echo -e "${INFO}[INFO] VERSION=${VERSION}${NC}"

mkdir -p $SCRIPT_DIR/templates
cd $SCRIPT_DIR/templates

if [ ! -e $EGNPCORE_CONTAINER ]; then
     echo -e "${INFO}[INFO] Retrieve EGNPCORE Container:  ${NC}\n\twget $ROOT_CONTAINER$EGNPCORE_CONTAINER\n"
     wget -q $ROOT_CONTAINER$EGNPCORE_CONTAINER
fi

chmod +x $SCRIPT_DIR/templates/$EGNPCORE_CONTAINER 
$SCRIPT_DIR/templates/$EGNPCORE_CONTAINER ls /opt/wrappers/cfg/euk/ | grep cfg | grep -v _Mt | grep -v _build | xargs -i echo "$SCRIPT_DIR/templates/$EGNPCORE_CONTAINER cat /opt/wrappers/cfg/euk/{} > {}" > cmd.get
bash cmd.get
rm -f cmd.get

echo -e "${INFO}[INFO] Templates are located in $SCRIPT_DIR/templates${NC}"
ls -C1 $SCRIPT_DIR/templates/*.cfg

exit 0
